> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get training data

> Requires a token with the external-api:read or external-api:write ability. id string required Format: uuid . cURL JavaScript Python PHP cURL JavaScript Python PHP 200 OK 200 OK 404 Not Found 401 Unauthorized id string Format: uuid . type string One of: text , url , file , video , qa . source…

```http
GET https://api.weav.com/v1/training-data/{id}
```

Requires a token with the `external-api:read` or `external-api:write` ability.

## Path parameters

<ParamField path="id" type="string" required>
Format: `uuid`.
</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request GET \
  --url 'https://api.weav.com/v1/training-data/{id}' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
```

```js JavaScript
const response = await fetch("https://api.weav.com/v1/training-data/{id}", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/training-data/{id}", headers=headers)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/training-data/{id}', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "type": "text",
    "source": "string",
    "title": "string",
    "description": "string",
    "slug": "string",
    "is_processed": false,
    "status": "queued",
    "training_folder_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
```

</CodeGroup>

- `404` Not Found
- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="type" type="string">
One of: `text`, `url`, `file`, `video`, `qa`.
</ParamField>

<ParamField body="source" type="string">

</ParamField>

<ParamField body="title" type="string | null">

</ParamField>

<ParamField body="description" type="string | null">

</ParamField>

<ParamField body="slug" type="string | null">

</ParamField>

<ParamField body="is_processed" type="boolean">

</ParamField>

<ParamField body="status" type="string | null">
One of: `queued`, `processing`, `completed`, `failed`.
</ParamField>

<ParamField body="training_folder_id" type="string | null">
Format: `uuid`.
</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
